{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    <br>
    <center>
        <h3>
          Editar producto
        </h3>
    </center>

<!-- fields = {'claveProducto', 'codigoFabricante', 'nombreProducto',
    'descripcionProducto','precio','promos','diaGarantia','mesGarantia',
    'anioGarantia','cantidadProducto','categoria','marca',}  -->

    <form action="{% url 'editar_producto' object.pk %}" method="POST" class="col s12">
        {% csrf_token %}

        <div class="row">
            <div class="input-field col s12 m6 l6">
                <input id="claveProducto" type="text" name="claveProducto" 
                value="{{object.claveProducto|default_if_none:""}}" class="validate" required>
                <label for="claveProducto">Clave de producto</label>
            </div>

            <div class="input-field col s12 m6 l6">
                <input id="codigoFabricante" type="text" name="codigoFabricante" 
                value="{{object.codigoFabricante|default_if_none:""}}" class="validate" required>
                <label for="codigoFabricante">Código de fabricante</label>
            </div>

            <div class="input-field col s12">
                <input id="nombreProducto" type="text" name="nombreProducto" 
                value="{{object.nombreProducto|default_if_none:""}}" class="validate" required>
                <label for="nombreProducto">Nombre producto</label>
            </div>

            <div class="input-field col s12">
                <textarea id="descripcionProducto" class="materialize-textarea validate" name="descripcionProducto" required>
                    {{object.descripcionProducto|default_if_none:""}}
                </textarea>
                <label for="descripcionProducto">Descripción</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="precio" type="number" name="precio" min="0" step="0.01"
                value="{{object.precio|stringformat:".2f"}}" class="validate" required>
                <label for="precio">Precio</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="promos" type="text" name="promos" 
                value="{{object.promos|default_if_none:""}}" class="validate" required>
                <label for="promos">Promociones</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="cantidadProducto" type="number" name="cantidadProducto" min="1"
                value="{{object.cantidadProducto|default_if_none:""}}" class="validate" required>
                <label for="cantidadProducto">Cantidad</label>
            </div>
<!--
            <div class="input-field col s12 m6 l6">
                <input id="categoria" type="text" name="categoria" 
                value="{{object.categoria|default_if_none:""}}" class="validate" required>
                <label for="categoria">Categoría</label>
            </div>
-->

            <div class="input-field col s12 m6 l6"">
                <select required name="categoria">
                  <option value="{{object.categoria.pk|default_if_none:""}}" selected>{{object.categoria.nombreCategoria|default_if_none:""}}</option>

                  {% load productos_extras %}
                  {% get_categoria_list as categoria_list %}
                  {% for categoria in categoria_list %}
                    <option value="{{categoria.pk}}">{{categoria.nombreCategoria}}</option>
                  {% empty %}
                  no hay resultados jeje
                  {% endfor %}
                </select>
                <label>Categoría</label>
              </div>

              <div class="input-field col s12 m6 l6"">
                <select required name="marca">
                  <option value="{{object.marca.pk|default_if_none:""}}" selected>{{object.marca.nombreMarca|default_if_none:""}}</option>

                  {% load productos_extras %}
                  {% get_marca_list as marca_list %}
                  {% for marca in marca_list %}
                    <option value="{{marca.pk}}">{{marca.nombreMarca}}</option>
                  {% empty %}
                  no hay resultados jeje
                  {% endfor %}
                </select>
                <label>Marca</label>
              </div>
<!--
            <div class="input-field col s12 m6 l6">
                <input id="marca" type="text" name="marca" 
                value="{{object.marca|default_if_none:""}}" class="validate" required>
                <label for="marca">Marca</label>
            </div>
-->

        </div>
        <h6>Garantía:</h6>
        <div class="row">
            <div class="input-field col s12 m6 l4">
                <input id="diaGarantia" type="number" name="diaGarantia" min="0"
                value="{{object.diaGarantia|default_if_none:""}}" class="validate" required>
                <label for="diaGarantia">Días</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="mesGarantia" type="number" name="mesGarantia" min="0"
                value="{{object.mesGarantia|default_if_none:""}}" class="validate" required>
                <label for="mesGarantia">Meses</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="anioGarantia" type="number" name="anioGarantia" min="0"
                value="{{object.anioGarantia|default_if_none:""}}" class="validate" required>
                <label for="anioGarantia">Años</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <select required name="disponible">
                    <option value="{{object.disponible|default_if_none:""}}" selected>{{object.disponible|default_if_none:""}}</option>
  
                      <option value="True">Disponible</option>
                      <option value="False">No disponible</option>

                </select>
                <label>Disponibilidad</label>
            </div>
        </div>

        <center>
        <button class="btn-large waves-effect waves-light" type="submit">
            Actualizar
        </button>
        </center>
    </form>
    <br>
    </div>

</div>
{% endblock contenido %}
{% block seccionjavascript %}
<script>
$(document).ready(function(){
    $('select').formSelect();
  });
</script>
{% endblock seccionjavascript %}